cl.cromer.estructuras

## Class ListaEnlazada.Enlace

- java.lang.Object
- - cl.cromer.estructuras.ListaEnlazada.Enlace

Enclosing class:
  ListaEnlazada

    public class ListaEnlazada.Enlace
    extends java.lang.Object

### Field Summary

Fields
`private int` `llave`
`private ListaEnlazada.Enlace` `siguente`
`private int` `valor`

### Constructor Summary

Constructors
`protected` `Enlace()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected int` `getLlave()`
`protected ListaEnlazada.Enlace` `getSiguente()`
`protected int` `getValor()`
`protected void` `setLlave(int llave)`
`protected void` `setSiguente(ListaEnlazada.Enlace siguente)`
`protected void` `setValor(int valor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### llave

    private int llave

#### valor

    private int valor

#### siguente

    private ListaEnlazada.Enlace siguente

### Constructor Detail

#### Enlace

    protected Enlace()

### Method Detail

#### getLlave

    protected int getLlave()

#### setLlave

    protected void setLlave(int llave)

#### getValor

    protected int getValor()

#### setValor

    protected void setValor(int valor)

#### getSiguente

    protected ListaEnlazada.Enlace getSiguente()

#### setSiguente

    protected void setSiguente(ListaEnlazada.Enlace siguente)